HDRI Link Compatibility

System Requirements:

All of our plugins have the same system requirements as the host Cinema 4D. If you can run Cinema 4D, you will be able to run our plugins. Check Maxon's compatibility page here for a complete list of system requirements. 

Host Applications (Plus):

We currently support Cinema 4D R20 and up.

Host Applications (Single License):

Cinema 4D R14-S24.

Additional Requirements:

Compatible with Arnold, Octane, and Redshift plus most other third-party renderers.

Still need help? Contact Us Contact Us